GtkPlotBar
3
GTKEXTRA Library

# GtkPlotBar

3d scientific plots widget for GTK.

## Synopsis

    #include <gtkextra.h>

                        GtkPlotBar;
    enum                GtkPlotBarUnits;
    GtkWidget*          gtk_plot_bar_new                    (GtkOrientation orientation);
    void                gtk_plot_bar_construct              (GtkPlotBar *bar,
                                                             GtkOrientation orientation);
    void                gtk_plot_bar_set_width              (GtkPlotBar *bar,
                                                             gdouble width);
    gdouble             gtk_plot_bar_get_width              (GtkPlotBar *bar);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkPlotData
                               +----GtkPlotBar

## Implemented Interfaces

GtkPlotBar implements AtkImplementorIface and GtkBuildable.

## Properties

      "orientation"              GtkOrientation        : Read / Write
      "width"                    gdouble               : Read / Write

## Description

FIXME:: Need long description.

## Details

### GtkPlotBar

    typedef struct _GtkPlotBar GtkPlotBar;

The GtkPlotBar struct contains only private data. It should only be accessed through the functions described below.

### enum GtkPlotBarUnits

    typedef enum
    {
      GTK_PLOT_BAR_POINTS,
      GTK_PLOT_BAR_RELATIVE,
      GTK_PLOT_BAR_ABSOLUTE,
    } GtkPlotBarUnits;

### gtk_plot_bar_new ()

    GtkWidget*          gtk_plot_bar_new                    (GtkOrientation orientation);

Create a new GtkPlotBar widget.

`orientation` :

  GTK_ORIENTATION_HORIZONTAL or GTK_ORIENTATION_VERTICAL.

Returns :

  a new GtkWidget.

### gtk_plot_bar_construct ()

    void                gtk_plot_bar_construct              (GtkPlotBar *bar,
                                                             GtkOrientation orientation);

Initializes a GtkPlotBar structure.

`bar` :

  a GtkPlotBar widget.

`orientation` :

  GTK_ORIENTATION_HORIZONTAL or GTK_ORIENTATION_VERTICAL.

### gtk_plot_bar_set_width ()

    void                gtk_plot_bar_set_width              (GtkPlotBar *bar,
                                                             gdouble width);

Set the width of a GtkPlotBar widget.

`bar` :

  a GtkPlotBar widget.

`width` :

  widget width.

### gtk_plot_bar_get_width ()

    gdouble             gtk_plot_bar_get_width              (GtkPlotBar *bar);

Set the width of a GtkPlotBar widget.

`bar` :

  a GtkPlotBar widget.

Returns :

  widget width.

## Property Details

### The `"orientation"` property

      "orientation"              GtkOrientation        : Read / Write

Orientation.

Default value: GTK_ORIENTATION_HORIZONTAL

### The `"width"` property

      "width"                    gdouble               : Read / Write

Width.

Allowed values: >= 0

Default value: 0